Cairo::QuartzFontFace Class Reference

The Quartz font backend is primarily used to render text on Apple MacOS X systems. More...

Inheritance diagram for Cairo::QuartzFontFace:
[legend]

## Static Public Member Functions

static RefPtr< QuartzFontFace > | create (CGFontRef font)
| Creates a new font for the Quartz font backend based on a CGFontRef. More...
static RefPtr< QuartzFontFace > | create (ATSUFontID font_id)
| Creates a new font for the Quartz font backend based on an ATSUFontID. More...

## Protected Member Functions

| QuartzFontFace (CGFontRef font)
| QuartzFontFace (ATSUFontID font_id)

## Additional Inherited Members

Public Types inherited from Cairo::FontFace
typedef cairo_font_face_t | cobject
Public Member Functions inherited from Cairo::FontFace
| FontFace (cairo_font_face_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
| FontFace (const FontFace&)=delete
FontFace& | operator= (const FontFace&)=delete
virtual | ~FontFace ()
FontType | get_type () const
| Returns the type of the backend used to create a font face. More...
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const
Protected Attributes inherited from Cairo::FontFace
cobject* | m_cobject

## Detailed Description

The Quartz font backend is primarily used to render text on Apple MacOS X systems.

The CGFont API is used for the internal implementation of the font backend methods.

Since
  1.8

## Constructor & Destructor Documentation

Cairo::QuartzFontFace::QuartzFontFace | ( | CGFontRef | font | ) |

protected

Cairo::QuartzFontFace::QuartzFontFace | ( | ATSUFontID | font_id | ) |

protected

## Member Function Documentation

static RefPtr<QuartzFontFace> Cairo::QuartzFontFace::create | ( | CGFontRef | font | ) |

static

Creates a new font for the Quartz font backend based on a CGFontRef.

This font can then be used with Context::set_font_face() or ScaledFont::create().

Parameters

  font | a CGFontRef obtained through a method external to cairo.

Since
  1.8

static RefPtr<QuartzFontFace> Cairo::QuartzFontFace::create | ( | ATSUFontID | font_id | ) |

static

Creates a new font for the Quartz font backend based on an ATSUFontID.

This font can then be used with Context::set_font_face() or ScaledFont::create().

Parameters

  font_id | an ATSUFontID for the font.

Since
  1.8

The documentation for this class was generated from the following file:

- cairomm/quartz_font.h